###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: ccs
Version: 1.0.3
Release: 0.2
License: GPL
Group: System Environment/Base
Summary: CCS - The Cluster Configuration System
BuildRequires: magma-devel libxml2-devel
BuildRequires: libxml2-devel
Conflicts: GFS <= 6.0
Conflicts: GFS-modules
Requires: magma
Requires(preun): /sbin/chkconfig
Requires(post): /sbin/chkconfig
ExclusiveArch: %{ix86} x86_64 ppc ppc64
Source0: %{name}-%{version}.tar.gz
Patch1: ccs-0.25-norun.patch
Patch2: ccs-1.0.2-pthread-lib.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CCS - The Cluster Configuration System

%package devel
Summary: CCS static library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the CCS header file and static library, which
is used by several cluster products.

%prep
%setup -q
%patch1 -p1 -b .norun
%patch2 -p1 -b .pthread

%build
./configure --libdir=%{_libdir} --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= 1/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 0.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ccsd

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del ccsd
fi

%files
%defattr(-,root,root,-)
/sbin/ccs_tool
/sbin/ccs_test
/sbin/ccsd
%config /etc/rc.d/init.d/ccsd

%{_mandir}/*/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libccs.a
%{_includedir}/ccs.h

%changelog
* Mon Mar 27 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.2-3.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.2-3.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Jul 06 2005 Karsten Hopp <karsten@redhat.de> 0.25-0.18
- BuildRequires libxml2-devel for xml2-config and libxml/parser.h

* Sun May 08 2005 Florian La Roche <laroche@redhat.com>
- mv /etc/init.d -> /etc/rc.d/init.d
- fix Requires

* Fri May 06 2005 Chris Feist <cfeist@redhat.com>
- Cleanup .spec file to not include globs.

* Tue May 05 2005 Chris Feist <cfeist@redhat.com>
- Added patch to disable starting up the init scripts.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Update for new upstream sources

* Fri Dec 10 2004 Chris Feist <cfeist@redhat.com>
- Update for new upstream sources

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- Update for new upstream sources

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- Update for new upstream sources

* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- add magma-plugins as an installation requirement

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- buildrequires magma-devel not magma

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- add magma as a build requirement instead of cman-kernheaders

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- Fix bug when updates occur at the same time
- Some basic clean-up
- Add man pages

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- Update for new upstream sources

* Tue Jul 13 2004 Jon Brassow <jbrassow@redhat.com>
- Update for new upstream sources

* Mon Jul 12 2004 Jon Brassow <jbrassow@redhat.com>
- Update for new upstream sources

* Fri Jun 18 2004 Jon Brassow <jbrassow@redhat.com> 
- Update make files so if kernel_src is not specified, the look
  in /usr/include/linux

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
